Analytics
Operations tagged Analytics in the public API.
/v1/analytics/dashboard
Dashboard analytics
Dashboard analytics. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopeanalytics:read
Example 200 response
json
{
"object": "analytics_dashboard",
"id": 1,
"range": "7d",
"from": "2026-09-17",
"to": "2026-09-23",
"series": [
{
"date": "2026-09-17",
"messages": 0,
"conversations": 0,
"answered": 0,
"partial": 0,
"no_answer": 0,
"avg_response_ms": 0
},
{
"date": "2026-09-18",
"messages": 0,
"conversations": 0,
"answered": 0,
"partial": 0,
"no_answer": 0,
"avg_response_ms": 0
},
{
"date": "2026-09-19",
"messages": 0,
"conversations": 0,
"answered": 0,
"partial": 0,
"no_answer": 0,
"avg_response_ms": 0
},
{
"date": "2026-09-20",
"messages": 0,
"conversations": 0,
"answered": 0,
"partial": 0,
"no_answer": 0,
"avg_response_ms": 0
},
{
"date": "2026-09-21",
"messages": 0,
"conversations": 0,
"answered": 0,
"partial": 0,
"no_answer": 0,
"avg_response_ms": 0
},
{
"date": "2026-09-22",
"messages": 0,
"conversations": 0,
"answered": 0,
"partial": 0,
"no_answer": 0,
"avg_response_ms": 0
},
{
"date": "2026-09-23",
"messages": 1,
"conversations": 1,
"answered": 1,
"partial": 0,
"no_answer": 0,
"avg_response_ms": 1808.4
}
],
"totals": {
"messages": 1,
"conversations": 1,
"success_rate": 100,
"avg_response_ms": 1808.4,
"feedback_positive": 0,
"feedback_negative": 0,
"resolution_rate": 0,
"handoff_rate": 0
},
"previous_totals": {
"messages": 0,
"conversations": 0,
"success_rate": 0,
"avg_response_ms": 0,
"feedback_positive": 0,
"feedback_negative": 0,
"resolution_rate": 0,
"handoff_rate": 0
},
"breakdowns": {
"status": {
"answered": 1,
"partial_answer": 0,
"no_answer": 0
},
"feedback": {
"positive": 0,
"negative": 0
},
"top_chatbots": [
{
"id": 1,
"name": "Support Assistant",
"slug": "turcotte-rath-bot-54229",
"avatar": null,
"color": "bg-indigo-500",
"is_image_avatar": false,
"messages": 1,
"success_rate": 100
}
]
},
"total_chatbots": 1
}curl
curl -X GET https://api.agentency.com/v1/analytics/dashboard \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"